
fetch('add/buscar.php')
  .then(response => response.json())
  .then(data => data.map((data,i)=>{
	  var optSelect = document.getElementById("inputEjecutivo");
	  var option = document.createElement("option");
	  option.value = data.id_empleado;
	  option.text = data.nombre;
	  optSelect.add(option);
	  //console.log(`${ data.nombre } :: ${ data.puesto }`);
  }))
  .catch(err => console.log(err));

var picker = new Pikaday(
{
	field: document.getElementById('finicio'),
	theme: 'triangle-theme',
	format : "YYYY-MM-DD",
	firstDay: 1,
	minDate: new Date(2022, 0, 1),
	maxDate: new Date(new Date().getFullYear(), 12, new Date().getDate()),
	yearRange: [2022,new Date().getFullYear()]
});

var picker = new Pikaday(
{
	field: document.getElementById('ffin'),
	theme: 'triangle-theme',
	format : "YYYY-MM-DD",
	firstDay: 1,
	minDate: new Date(2022, 0, 1),
	maxDate: new Date(new Date().getFullYear(), 12, new Date().getDate()),
	yearRange: [2022,new Date().getFullYear()]
});

function start_loader(){
	$('body').append('<div id="preloader"><div class="loader-holder"><div></div><div></div><div></div><div></div>')
}
function end_loader(){
	 $('#preloader').fadeOut('fast', function() {
		$('#preloader').remove();
      })
}


const buscaBtn = document.querySelector('#inputGenerar');
buscaBtn.addEventListener('click',getReporte);

async function getReporte(){
  try{
	 
	start_loader();
	
	const formData = new FormData();
	formData.append('mes', document.getElementById('mes').value);
	formData.append('anio', document.getElementById('anio').value);
	formData.append('inputEjecutivo', document.getElementById('inputEjecutivo').value);
	formData.append('userReporte', document.getElementById('userReporte').value);
	
	const cuerpoTabla = document.querySelector("#data-prospecto");
	const cuerpoTablaMedio = document.querySelector("#data-medio");
	const cuerpoTablaSubMedio = document.querySelector("#data-submedio");
	const cuerpoTablaMotivo = document.querySelector("#data-motivo");
	const cuerpoTablaEstancia = document.querySelector("#data-estancia");
	const cuerpoTablaIngresos = document.querySelector("#data-ingresos");
	const cuerpoTablaIngresosPropiedad = document.querySelector("#data-ingresos-propiedad");
	cuerpoTabla.innerHTML = "";
	cuerpoTablaMedio.innerHTML = "";
	cuerpoTablaSubMedio.innerHTML = "";
	cuerpoTablaMotivo.innerHTML = "";
	cuerpoTablaEstancia.innerHTML = "";
	cuerpoTablaIngresos.innerHTML = "";
	cuerpoTablaIngresosPropiedad.innerHTML = "";
	document.getElementById('totalpropiedades').innerHTML = "";
	
	const bitacora =  fetch('add/Bitacora.php',{
	  method:'POST',
	  body:formData
	} );

	const response = await fetch('add/Reporte.php',{
	  method:'POST',
	  body:formData
	} );
	
	const data = await response.json();
	data.map((data,i)=>{
		creaTabla(cuerpoTabla,data.tipo,data.total);
    });
	
	const responseMedio = await fetch('add/ReporteMedio.php',{
	  method:'POST',
	  body:formData
	});
	const dataMedio = await responseMedio.json();    
	dataMedio.map((dataMedio,i)=>{
		creaTabla(cuerpoTablaMedio,dataMedio.tipo,dataMedio.total);
    });
	
	const responseSubMedio = await fetch('add/ReporteSubMedio.php',{
	  method:'POST',
	  body:formData
	});
	const dataSubMedio = await responseSubMedio.json();    
	dataSubMedio.map((dataSubMedio,i)=>{
		creaTabla(cuerpoTablaSubMedio,dataSubMedio.tipo,dataSubMedio.total);
    });
	
	const responseMotivo = await fetch('add/ReporteMotivos.php',{
	  method:'POST',
	  body:formData
	});
	const dataMotivo = await responseMotivo.json();    
	dataMotivo.map((dataMotivo,i)=>{
		creaTabla(cuerpoTablaMotivo,dataMotivo.tipo,dataMotivo.total);
    });
   
    const responseEstancia = await fetch('add/ReporteEstancia.php',{
	  method:'POST',
	  body:formData
	});
	const dataEstancia = await responseEstancia.json();    
	dataEstancia.map((dataEstancia,i)=>{
		creaTabla(cuerpoTablaEstancia,dataEstancia.tipo,dataEstancia.total);
    });
   
   	const responseMetaReal = await fetch('add/ReporteIngresos.php',{
	  method:'POST',
	  body:formData
	} );
	const dataMetaReal = await responseMetaReal.json();
	dataMetaReal.map((dataMetaReal,i)=>{
		creaTablaIngresos(cuerpoTablaIngresos,dataMetaReal.meta,dataMetaReal.total,dataMetaReal.porcentaje);
		dataMetaReal.propiedades.forEach(function(value,i) {
			creaTabla(cuerpoTablaIngresosPropiedad,value.propiedad,value.totalpropiedad);
		});
		document.getElementById('totalpropiedades').innerHTML = dataMetaReal.totalpropiedades;
    });
   
    
	end_loader();
  }catch(e){
    //console.log(e);
    end_loader()

  }
}

function creaTabla(thead,tipo,total){
	const tr = document.createElement("tr");  
	let td = document.createElement("td");
	td.textContent = tipo;
	tr.appendChild(td);
	let tdTotalMedio = document.createElement("td");
	tdTotalMedio.textContent = total;
	tr.appendChild(tdTotalMedio);
	thead.appendChild(tr);
}

function creaTablaIngresos(thead,meta,total,porcentaje){
	const tr = document.createElement("tr");  
	let td = document.createElement("td");
	td.textContent = meta;
	tr.appendChild(td);
	let tdTotal = document.createElement("td");
	tdTotal.textContent = total;
	tr.appendChild(tdTotal);
	let tdTotalPorcentaje = document.createElement("td");
	tdTotalPorcentaje.textContent = porcentaje;
	tr.appendChild(tdTotalPorcentaje);
	
	thead.appendChild(tr);
}